ReactPhysics3D: reactphysics3d::DefaultLogger::FileDestination Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
reactphysics3d::DefaultLogger::FileDestination Class Reference

File destination for the logs. More...

`#include <include/reactphysics3d/utils/DefaultLogger.h>`

Inheritance diagram for reactphysics3d::DefaultLogger::FileDestination:

## Public Member Functions
| FileDestination (const std::string &filePath, uint maxLevelFlag, Formatter *formatter)
| Constructor.
virtual | ~FileDestination () override
| Destructor.
virtual void | write (const time_t &time, const std::string &physicsWorldName, const std::string &message, Level level, Category category, const char *filename, int lineNumber) override
| Write a message into the output stream.
virtual size_t | getSizeBytes () const override
| Return the size in bytes of the type.
Public Member Functions inherited from reactphysics3d::DefaultLogger::Destination
| Destination (uint maxLevelFlag, Formatter *logFormatter)
| Constructor.
virtual | ~Destination ()
| Destructor.
virtual void | write (const time_t &time, const std::string &physicsWorldName, const std::string &message, Level level, Category category, const char *filename, int lineNumber)=0
| Write a message into the output stream.
virtual size_t | getSizeBytes () const =0
| Return the size in bytes of the type.

## Additional Inherited Members
Public Attributes inherited from reactphysics3d::DefaultLogger::Destination
uint | maxLevelFlag
| Maximum Log level flag for this destination.
Formatter * | formatter
| Pointer to the formatter.

## Detailed Description

File destination for the logs.

## Member Function Documentation

## ◆ getSizeBytes()

virtual size_t reactphysics3d::DefaultLogger::FileDestination::getSizeBytes | ( |  | ) | const
| inlineoverridevirtual

Return the size in bytes of the type.

Implements reactphysics3d::DefaultLogger::Destination.

## ◆ write()

virtual void reactphysics3d::DefaultLogger::FileDestination::write | ( | const time_t & | time,
|  | const std::string & | physicsWorldName,
|  | const std::string & | message,
|  | Level | level,
|  | Category | category,
|  | const char * | filename,
|  | int | lineNumber
| ) |  |
| inlineoverridevirtual

Write a message into the output stream.

Implements reactphysics3d::DefaultLogger::Destination.

The documentation for this class was generated from the following file:

- include/reactphysics3d/utils/DefaultLogger.h